Overview

Retrieve dashboard

Get a dashboard by UID.

If you authenticate with an API token, you can only retrieve a dashboard shared with everyone in your organization or with a group. You can't retrieve private dashboards.

GET/v2/dashboards/uid/{uid}
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input1
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
uidstring · pathrequired
(path)
Output8
createdAtstring
createdBystring
dashboardobject
idstring
uidstring
updatedAtstring
updatedBystring
versioninteger
Responses
200Dashboard
404Dashboard not found
Example input
curl 'https://api.axiom.co/v2/dashboards/uid/{uid}' \
  -H 'Authorization: Bearer API_TOKEN'
Example output
{
  "createdAt": "2024-01-01T00:00:00Z",
  "createdBy": "string",
  "dashboard": {
    "name": "string",
    "owner": "string",
    "description": "string",
    "charts": [
      {
        "id": "string",
        "type": "TimeSeries",
        "name": "string",
        "query": {
          "apl": null,
          "queryOptions": null
        }
      }
    ],
    "layout": [
      {
        "i": "string",
        "x": 0,
        "y": 0,
        "w": 0,
        "h": 0,
        "minW": 0,
        "minH": 0,
        "maxW": 0,
        "maxH": 0,
        "static": false
      }
    ],
    "refreshTime": 15,
    "schemaVersion": 2,
    "against": "-1h",
    "againstTimestamp": "string",
    "timeWindowStart": "string",
    "timeWindowEnd": "string",
    "uid": "string"
  },
  "id": "string",
  "uid": "string",
  "updatedAt": "2024-01-01T00:00:00Z",
  "updatedBy": "string",
  "version": 0
}

Updated

Was this page helpful?